; Auto calibration routine for delta printers
; Before running this, you should have set up your zprobe Z offset to suit your build, in the G31 command in config.g.

; About the G30 S parameter
; Used to specify what calibration computation to perform.
;
; S=-1 Don't adjust anything, just print the height error at each probe point
; S=0 Equivalent to S=
; S=3 Adjust homing switch corrections only
; S=4 Adjust homing switch corrections and delta radius
; S=6 Adjust homing switch corrections, delta radius, and X and Y tower position offsets
; S=7 Adjust homing switch corrections, delta radius, X and Y tower position offsets, and diagonal rod length

M561    ; clear any bed transform, otherwise homing may be at the wrong height
G31 X0 Y0    ; don't want any probe offset for this
G28    ; home the printer

; The first time the mechanical probe is used after deployment, it gives slightly different results.
; So do an extra dummy probe here. The value stored gets overwritten later. You can remove this if you use an IR probe.

;G30 P0 X0 Y0 Z-99999

; Probe the bed and do 6- or 7-factor auto calibration
G30 P0 X-69.28 Y-40.00 Z-99999 H3   ; X tower
G30 P1 X0.00 Y-80.00 Z-99999 H3   ; between X-Y towers
G30 P2 X69.28 Y-40.00 Z-99999 H3   ; Y tower
G30 P3 X69.28 Y40.00 Z-99999 H3   ; between Y-Z towers
G30 P4 X0.00 Y80.00 Z-99999 H3   ; Z tower
G30 P5 X-69.28 Y40.00 Z-99999 H3 ; between Z-X towers
G30 P6 X-34.64 Y-20.00 Z-99999 H3   ; X tower
G30 P7 X0.00 Y-40.00 Z-99999 H3   ; between X-Y towers
G30 P8 X34.64 Y-20.00 Z-99999 H3   ; Y tower
G30 P9 X34.64 Y20.00 Z-99999 H3   ; between Y-Z towers
G30 P10 X0.00 Y40.00 Z-99999 H3   ; Z tower
G30 P11 X-34.64 Y20.00 Z-9999 H3   ; between Z-X towers
G30 P12 X0 Y0 Z-99999 H0.0 S7   ; center and auto-calibrate 6 factors

G1 X0 Y0 Z150 F10000   ; get the head out of the way of the bed

